# Uses of Class
org.eclipse.ui.plugin.AbstractUIPlugin

Packages that use AbstractUIPlugin
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of AbstractUIPlugin in org.eclipse.compare

Methods in org.eclipse.compare that return AbstractUIPlugin
Modifier and Type
Method
Description
`static AbstractUIPlugin`
CompareUI.`getPlugin()`

## Uses of AbstractUIPlugin in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions that return AbstractUIPlugin
Modifier and Type
Method
Description
`protected AbstractUIPlugin`
CopyProjectAction.`getPlugin()`
Get the plugin used by a copy action

## Uses of AbstractUIPlugin in org.eclipse.ui.console

Subclasses of AbstractUIPlugin in org.eclipse.ui.console
Modifier and Type
Class
Description
`class`
`ConsolePlugin`
The console plug-in class.

## Uses of AbstractUIPlugin in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator that return AbstractUIPlugin
Modifier and Type
Method
Description
`AbstractUIPlugin`
ResourceNavigator.`getPlugin()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the navigator's plugin.